package Iterators;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Iterator;
import java.util.Vector;

import basicas.Departamento;
import basicas.Endereco;
import basicas.Funcionario;
import basicas.Telefone;

public class IteratorFuncionario implements Iterator<Funcionario>{

	private Vector<Funcionario> resultado;
	private int indice;
	
	public IteratorFuncionario(ResultSet resultSet) throws NumberFormatException,
			SQLException {
		resultado = new Vector<Funcionario>();
		indice = 0;
		while (resultSet.next()) {
			Funcionario funcionario = new Funcionario(resultSet.getString("nome"),
					resultSet.getString("senha"), resultSet.getString("dataDeNascimento"),resultSet.getString("cpf"),
					resultSet.getString("rg"), resultSet.getString("cargo"), resultSet.getDouble("salario"),
					(Departamento)resultSet.getObject("Departamento"),
					((Endereco) resultSet.getObject("endereco")), (Funcionario)resultSet.getObject("Supervisor"),
					((Vector<Telefone>) resultSet.getObject("telefone")));
			funcionario.setNumeroDeCadastro(Integer.parseInt(resultSet
					.getString("numero")));
			resultado.add(funcionario);
		}
	}
	
	public boolean hasNext() {
		return indice < resultado.size();
	}

	public Funcionario next() {
		indice++;
		return resultado.get(indice - 1);
	}

	public void remove() {
	}

}
