package Iterators;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Iterator;
import java.util.Vector;
import basicas.Modelo;
import basicas.Veiculo;

public class IteratorVeiculo implements Iterator<Veiculo>{

	private Vector<Veiculo> resultado;
	private int indice;
	
	public IteratorVeiculo(ResultSet resultSet) throws NumberFormatException,
			SQLException {
		resultado = new Vector<Veiculo>();
		indice = 0;
		while (resultSet.next()) {
			Veiculo veiculo = new Veiculo(resultSet.getString("ano"),
					resultSet.getString("cor"), resultSet.getString("placa"),
					resultSet.getString("chassi"),
					((Modelo) resultSet.getObject("modelo")));
			veiculo.setNumeroDeCadastro(Integer.parseInt(resultSet
					.getString("numero")));
			resultado.add(veiculo);
		}
	}
	
	public boolean hasNext() {
		return indice < resultado.size();
	}

	public Veiculo next() {
		indice++;
		return resultado.get(indice - 1);
	}

	public void remove() {
	}

}
